/**
 * Extract only video data from ytInitialData.
 *
 * @param ytInitalData ytInitialData object.
 * @param nrOfVideos Number of videos to return.
 * @returns Array of {@link VideoResponseData} VideoResponseData objects.
 */
const extractVideos = (ytInitalData, nrOfVideos) => {
    const videoRenderers = ytInitalData.contents.twoColumnSearchResultsRenderer.primaryContents.sectionListRenderer.contents[0].itemSectionRenderer.contents.filter((renderer) => renderer.videoRenderer);
    const videoRendererArray = videoRenderers.slice(0, nrOfVideos || videoRenderers.length).map((renderer) => renderer.videoRenderer);
    return videoRendererArray;
};
export default extractVideos;
//# sourceMappingURL=extractVideos.js.map